// Folder path
folderRef = new Folder ("/ai_eps/");
saveGIFfolder = "/ai_GIF/";
saveJPEGfolder = "/ai_JPG/";

// GIF Save Option. Dither none, Color 256, Antialias on.
gifOpt = new ExportOptionsGIF();
gifOpt.antiAliasing = true;
gifOpt.colorCount = 256;
gifOpt.colorDither = ColorDitherMethod.NOREDUCTION;

// JPEG Save Option. Quality is 80.
jpegOpt = new ExportOptionsJPEG();
jpegOpt.qualitySetting = 80;

function proc()
{
	for (i=0; i<fileList.length; i++)
	{
		fileObj = new File(fileList[i].fsName);
		open(fileObj);
		tmpFile = (fileList[i].name).split(".eps")[0];
		saveGIFFile = new File(saveGIFfolder+tmpFile + ".gif");
		saveJPEGFile = new File(saveJPEGfolder+tmpFile + ".jpg");
		activeDocument.exportFile(saveGIFFile, ExportType.GIF, gifOpt);
		activeDocument.exportFile(saveJPEGFile, ExportType.JPEG, jpegOpt);
		activeDocument.close(SaveOptions.DONOTSAVECHANGES);
		fileObj.remove();
	}
}

dObj = new Date();
tm = 60;	// 60 sec.
while((new Date()).getTime() < dObj.getTime() + 1000*tm)
{
	fileList = folderRef.getFiles("*.eps");
	if (fileList.length > 0) proc();
}


